* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {

  font-family: "Noto Kufi Arabic", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  background-color: #007a3f;
  font-weight: 500;

}

header {
  display: flex;
  justify-content: space-around;
  background-color: white;
  color: black;
}

.open-source {
  display: flex;
  align-items: center;
  padding-right: 20px;
  font-size: large;
}

.open-source a {
  color: #007a3f;
  text-decoration: none;
}

.opens {
  display: flex;
  align-items: center;
}

#logo {
  height: 150px;
  width: auto;
}


nav {
  border-top:#e6eef6  1px solid;
  border-bottom: #e6eef6 1px solid;
  background-color: whitesmoke;
 
}


.nav-links {
  margin:5px 0;
  list-style: none;
  display: flex;
  gap: 20px;
  overflow-x: auto;
  justify-content: space-around;
  white-space: nowrap;
  padding-left: 10px;
  padding-right: 10px;
}

.nav-links a {
  text-decoration: none;
  color:darkgreen;
  font-weight: bold;
  transition: color 0.3s;
  font-size: 1.5rem;
}

.nav-links a:hover {
  color: darkblue;
}

main {
  padding: 20px;
  min-height: 80vh;
  display: block;
  max-width: 1200px;
  margin: 10px auto; /* centers horizontally */
}



main a {
  color: #7c3aed;
}

.blur-box {
  border:darkgreen  1px solid;
  background: whitesmoke; /* semi-transparent background */
  box-shadow: 0 1px 2px white;
  border-radius: 12px;
  padding: 20px;
  
}

footer {
  text-align: center;
  border-top:white  2px solid;
  color: white;
  background-color: darkgreen;
  font-weight: bold;
}

footer .support {
  font-size: xx-small;
  font-weight: bold;
  padding-bottom: 2px;
}

footer .support a{
  /* color: black;
  text-decoration: none;
  background: linear-gradient(180deg, #7b2a9f, #fdd82e);
  border-radius: 4px;
  padding: 0px; */
  
  color: white;
  text-decoration: none;
  background: linear-gradient(180deg, darkgreen, black);
  border-radius: 4px;
  padding: 2px;
  border: white double 1px;
  
}


.mr {
  margin-right: 30px;
}